Trying to upgrade Webmo 19 -> 20 errors "cannot locate apache install directory

Post Reply
jtvaughn@albion.edu
Posts: 11
Joined: Tue Jun 23, 2020 3:54 pm
Full Name: Justin T Vaughn
Organization: Albion College
Subdiscipline: IT

Trying to upgrade Webmo 19 -> 20 errors "cannot locate apache install directory

Post by jtvaughn@albion.edu »

Hello Support, I am trying to upgrade Webmo 19 to 20 and it errors when I run the upgrade.pl after I confirm that my files are backed-up, stating "cannot locate apache directory. I don't think I had this problem when I upgraded from 17 to 19 a few months back. Am I doing something wrong or do I need the Strawberry Perl mentioned in the install guide?

Our server is Windows Server 2016, still running Active Pearl. The Apache 2.2 web server is installed to c:\program files (x86)\apache software foundation\apache2.2

schmidt
Posts: 50
Joined: Sat May 30, 2020 3:00 pm
Full Name: JR Schmidt
Organization: WebMO, LLC

Re: Trying to upgrade Webmo 19 -> 20 errors "cannot locate apache install directory

Post by schmidt »

Due to recent Perl changes, it is harder to locate older Apache versions (which used to install under Program Files, under use the Windows Registry). Nonetheless, things should still work if you make a small tweak to the upgrade script (in WebMO.install/scripts/upgrade_win32.pl)

#try and find Apache in the root directory
$apacheDir = "c:/";
($apacheDir) = <"$apacheDir/Apache*">;

Try changing the line to
$apacheDir = "c:/program files (x86)/apache software foundation/";

Hopefully that will allow WebMO to find the installation. Even better would be to install a recent version of Apache (following the installation instructions in the WebMO documentation) and then simply copy over the HTML and cgi-bin directories from the prior apache installation prior to upgrading.

Post Reply